module.exports = {
    plugins: [
        // 'stylelint-order',
        // 'stylelint-selector-bem-pattern',
    ],
    extends: [
        'stylelint-config-prettier',
        // 标准集合，继承自stylelint-config-recommend
        'stylelint-config-standard',
        'stylelint-config-sass-guidelines',
        // 内置stylelint-order作为排序
        'stylelint-config-recess-order',
    ],
    // add your custom config here
    // https://stylelint.io/user-guide/configuration
    rules: {
        // "order/order": [
        //     [],
        //     {
        //         "disableFix": false
        //     }
        // ],
        'scss/selector-no-redundant-nesting-selector': null,
        'order/properties-alphabetical-order': null,
        'declaration-block-no-duplicate-properties': true,
        'block-no-empty': true,
        'comment-no-empty': true,
        'no-extra-semicolons': true,
        'length-zero-no-unit': [
            true,
            {
                ignore: ['custom-properties'],
            },
        ],
        'max-nesting-depth': [
            2,
            {
                ignore: ['pseudo-classes'],
            },
        ],
        'number-no-trailing-zeros': true,
        'number-leading-zero': 'always',
        'unit-case': 'lower',
        'string-quotes': 'double',
        // 'value-keyword-case': 'lower',
        'comment-whitespace-inside': 'always',
        'comment-empty-line-before': 'never',
        indentation: [
            4,
            {
                baseIndentLevel: 0,
                indentClosingBrace: false,
            },
        ],
        'max-empty-lines': 1,
        // 'max-line-length': 120,
        'value-list-max-empty-lines': 0,
        'no-empty-first-line': true,
        'no-eol-whitespace': true,
        'at-rule-name-newline-after': 'always-multi-line',
        'color-named': 'never',
        'no-descending-specificity': null,
        // "at-rule-no-unknown": [true, {
        //     ignoreAtRules: ['extend', 'at-root', 'debug', 'warn', 'error', 'if', 'else', 'for', 'each', 'while', 'mixin', 'include', 'content', 'return', 'function']
        // }]
        // 'selector-class-pattern': "foo-[a-z]+",
        'string-quotes': 'double',
        /**=========== stylelint-selector-bem-pattern =========== */
        // 'plugin/selector-bem-pattern': {
        //     preset: 'bem',
        //     // 知道组件名称的检查规则
        //     componentName: '[a-z]+',
        //     /**
        //      * 指定组合的选择器检查规则，其实就是指定class名称规则
        //      * 支持正则字符串、返回正则的函数、包含2个选项参数的对象等写法
        //      */
        //     componentSelectors: {
        //         // 只初始的选择器规则（可以理解为外层的class规则）
        //         initial: '^\\.{componentName}(?:__[-a-z]+)?(?:--[a-z]+)?$',
        //         // 可以理解为外层yi
        //         combined: '^\\.{componentName}(?:__[-a-z]+)(?:--[a-z]+)?$',
        //     },
        //     utilitySelectors: '^\\.u-[a-z]+$',
        //     ignoreSelectors: ['^\\.el-', '/deep/', '>>>', '^\\.icon-'],
        // },
    },
}
