[toc] 

# <%= pkgName %>
## 项目介绍

> node 8.11.0+ (推荐12.18.3)
> npm 6.14.6

基于create-nuxt-app完善的脚手架项目，集成一些基础通用配置。
集成配置如下：

- [x] 环境区分：分为开发、测试和生产环境
- [x] 生产环境打包去掉console
- [x] 配置`global`全局组件
- [x] 配置`common`公共组件
- [ ] 配置全局自定义过滤器
- [ ] 配置全局自定义指令
- [x] 配置`utils`方法并通过实例调用
- [x] 配置错误页面
- [x] `eslint` + `prettier`规范代码风格、格式化及语法校验
- [x] `husky` + `lint-staged`拦截commit，提交时做代码风格校验及修复
- [x] `commitizen` + `cz-conventional-changlog`提供规范统一的的commiteMessage模板
- [x] `husky` + `commitlint`在commit时做commitMessage规范校验
- [x] `standard-version`自动化发版流程及生成规范化的changelog
- [x] Symbol的在线链接方式引入iconfont
- [x] 新增axios配置：全局拦截器；防止重复请求；路由切换取消当前页面所有pending（可指定）请求；实例中取消请求等
- [x] api统一管理


## 发版流程
1. 切换到master分支并且执行`git pull`更新代码
2. 将测试完成要发版的分支合并到master分支
3. 自动更新`package.json`中的版本号，更新`changelog`,同时打版到master分支：

    第一个版本，需要根据当前package.json中的版本初始化tag及changelog：`yarn release:init`;<br>
    更新修订版本号：`yarn release:patch`<br>
    更新次版本号：`yarn release:minor`<br>
    更新主版本号：`yarn release:major`<br>

4. 推送当前分支上的版本号到远程仓库：`git push origin --tags`或者`git push --flollow-tags`


> 版本号一般为3位：x.x.x,每一位对应的含义分别是major主版本号、monor次版本号、patch修订版本号。
