const serverConf = {
    dev: {
        HOSTNAME: '0.0.0.0',
        // HOSTNAME: 'localhost',
        PORT: <%= port %> || '0'
    },
    uat: {
        HOSTNAME: '0.0.0.0' || 'localhost',
        PORT: <%= port %>
    },
    pro: {
        HOSTNAME: '0.0.0.0' || 'localhost',
        PORT: <%= port %>
    }
}
const SERVER_CONF = serverConf[process.env.ENV_MODE] || {}

const appApiConf = {
    dev: {
        API_DOMAIN: 'http://beta.laihua.com/appapi',
        API_LOCAL_URL: '',
        BASE_URL: `http://localhost:${SERVER_CONF.PORT}/mobile/devappapi`,
        BASE_URL_BROWSER: '/mobile/devappapi'
    },
    uat: {
        API_DOMAIN: 'http://beta.laihua.com/appapi',
        API_LOCAL_URL: '',
        BASE_URL: `http://localhost:${SERVER_CONF.PORT}/mobile/uatappapi`,
        BASE_URL_BROWSER: '/mobile/uatappapi'
    },
    pro: {
        API_DOMAIN: 'https://app.laihua.com',
        API_LOCAL_URL: '',
        BASE_URL: `http://localhost:${SERVER_CONF.PORT}/mobile/proappapi`,
        BASE_URL_BROWSER: '/mobile/proappapi'
    }
}

const webApiConf = {
    dev: {
        API_DOMAIN: 'https://beta.laihua.com/webapi',
        // api项目本地的地址及端口
        API_LOCAL_URL: '',
        BASE_URL: `http://localhost:${SERVER_CONF.PORT}/mobile/devapi`,
        BASE_URL_BROWSER: '/mobile/devapi'
    },
    uat: {
        API_DOMAIN: 'https://beta.laihua.com/webapi',
        API_LOCAL_URL: '',
        BASE_URL: `http://localhost:${SERVER_CONF.PORT}/mobile/uatapi`,
        BASE_URL_BROWSER: '/mobile/uatapi'
    },
    pro: {
        API_DOMAIN: 'https://webapi4.laihua.com',
        API_LOCAL_URL: '',
        BASE_URL: `http://localhost:${SERVER_CONF.PORT}/mobile/proapi`,
        BASE_URL_BROWSER: '/mobile/proapi'
    }
}

const WEB_API_CONF = webApiConf[process.env.ENV_MODE] || {}
const APP_API_CONF = appApiConf[process.env.ENV_MODE] || {}
export { SERVER_CONF, WEB_API_CONF, APP_API_CONF }
