import apiMap from '@@/api/index.js'

function injectRequest (apiObj, axios) {
    const requestMap = {}
    Object.keys(apiObj).forEach((alias) => {
        const { method, url, config } = apiObj[alias]
        // const method = apiObj[alias].method.toUpperCase()
        const keyName = ['PUT', 'POST', 'PATCH'].includes(method.toUpperCase())
            ? 'data'
            : 'params'
        requestMap[alias] = (dataOrParams = {}, instanceConf = {}) => {
            return new Promise((resolve, reject) => {
                axios({
                    method,
                    url,
                    // [keyName]: methods === 'POST' ? qs.stringify(dataOrParams) : dataOrParams,
                    [keyName]: dataOrParams,
                    ...Object.assign(config || {}, instanceConf)
                })
                    .then(res => resolve(res.data))
                    .catch(err => reject(err))
            })
        }
    })
    return requestMap
}

export default ({ $axios }, inject) => {
    inject('api', injectRequest(apiMap, $axios))
}
